// Copyright (c) 2002 Cunningham & Cunningham, Inc.
// Released under the terms of the GNU General Public License version 2 or later.

package eg.music;

import fit.*;

public class Browser extends Fixture {


    // Library //////////////////////////////////

    public void library (String path) {
        Music.load(path);
    }

    public int totalSongs() {
        return Music.library.length;
    }

    // Select Detail ////////////////////////////

    public void select (int i) {
        Music.select(Music.library[i-1]);
    }

    public String title() {
        return Music.looking.title;
    }

    public String artist() {
        return Music.looking.artist;
    }

    public String album() {
        return Music.looking.album;
    }

    public int year() {
        return Music.looking.year;
    }

    public double time() {
        return Music.looking.time();
    }

    public String track() {
        return Music.looking.track();
    }

    // Search Buttons ///////////////////////////

    public void sameAlbum() {
        Music.findAlbum(Music.looking.album);
    }

    public void sameArtist() {
        Music.findArtist(Music.looking.artist);
    }

    public void sameGenre() {
        Music.findGenre(Music.looking.genre);
    }

    public void sameYear() {
        Music.findYear(Music.looking.year);
    }

    public int selectedSongs() {
        return Music.displayCount();
    }

    public void showAll() {
        Music.findAll();
    }

    // Play Buttons /////////////////////////////

    public void play() {
        Music.play(Music.looking);
    }

    public void pause() {
        Music.pause();
    }

    public String status() {
        return Music.status;
    }

    public double remaining() {
        return Music.minutesRemaining();
    }

}
