package fit;

// Copyright (c) 2002 Cunningham & Cunningham, Inc.
// Released under the terms of the GNU General Public License version 2 or later.

import java.util.*;

public class Summary extends Fixture {
    public static String counts = "counts";

    public void doTable(Parse table) {
        summary.put(counts, counts());
        SortedSet keys = new TreeSet(summary.keySet());
        table.parts.more = rows(keys.iterator());
    }

    protected Parse rows(Iterator keys) {
        if (keys.hasNext()) {
            Object key = keys.next();
            Parse result =
                tr(
                    td(key.toString(),
                    td(summary.get(key).toString(),
                    null)),
                rows(keys));
            if (counts.equals(key)) {
                mark (result);
            }
            return result;
        } else {
            return null;
        }
    }

    protected Parse tr(Parse parts, Parse more) {
        return new Parse ("tr", null, parts, more);
    }

    protected Parse td(String body, Parse more) {
        return new Parse ("td", body, null, more);
    }

    protected void mark(Parse row) {
        // mark summary good/bad without counting
        Parse cell = row.parts.more;
        if (wrong + exceptions > 0) {
            wrong(cell);
            wrong--;
        } else {
            right(cell);
            right--;
        }
    }

}
